Loggerhead doesn't declare its dependencies in setup.py

Bug #383360 reported by Francis J. Lacoste
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
loggerhead
Triaged
Low
Unassigned
loggerhead-breezy
Fix Released
Low
Unassigned

Bug Description

There is no install_requires in loggerhead.

It should at least depends on Paste, simplejson, SimpleTal. You could make an separate flavour (supported by setuptools) for the PasteDeploy dependencies.

Tags: easy
Martin Albisetti (beuno)
Changed in loggerhead:
importance: Undecided → High
milestone: none → 1.16rc1
status: New → Triaged
Revision history for this message
IC Raibow (icrbow) wrote :

and don't forget sqlite, which is not available on all platforms by default.

Changed in loggerhead:
importance: High → Low
tags: added: easy
Jelmer Vernooij (jelmer)
Changed in loggerhead-breezy:
status: New → Triaged
importance: Undecided → Low
status: Triaged → Fix Released
Revision history for this message
Colin Watson (cjwatson) wrote :
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers